propellor-5.3.3: property-based host configuration management in haskell

Safe Haskell | Safe
Language | Haskell98

Propellor.Types.Result

Synopsis

- data Result
  - = NoChange
  - | MadeChange
  - | FailedChange
- class ToResult t where
- class ActionResult a where

# Documentation

data Result Source #

There can be three results of satisfying a Property.

Constructors

NoChange |
MadeChange |
FailedChange |

Instances

Eq Result Source # |
Methods (==) :: Result -> Result -> Bool (/=) :: Result -> Result -> Bool
Read Result Source # |
Methods readsPrec :: Int -> ReadS Result readList :: ReadS [Result] readPrec :: ReadPrec Result readListPrec :: ReadPrec [Result]
Show Result Source # |
Methods showsPrec :: Int -> Result -> ShowS show :: Result -> String showList :: [Result] -> ShowS
Monoid Result Source # |
Methods mempty :: Result mappend :: Result -> Result -> Result mconcat :: [Result] -> Result
ActionResult Result Source # |
Methods getActionResult :: Result -> (String, ColorIntensity, Color) Source #
ToResult Result Source # |
Methods toResult :: Result -> Result Source #
Monoid (Propellor Result) | When two actions are appended together, the second action is only run if the first action does not fail.
Methods mempty :: Propellor Result mappend :: Propellor Result -> Propellor Result -> Propellor Result mconcat :: [Propellor Result] -> Propellor Result

class ToResult t where Source #

Minimal complete definition

toResult

Methods

toResult :: t -> Result Source #

Instances

ToResult Bool Source # |
Methods toResult :: Bool -> Result Source #
ToResult Result Source # |
Methods toResult :: Result -> Result Source #

class ActionResult a where Source #

Results of actions, with color.

Minimal complete definition

getActionResult

Methods

getActionResult :: a -> (String, ColorIntensity, Color) Source #

Instances

ActionResult Bool Source # |
Methods getActionResult :: Bool -> (String, ColorIntensity, Color) Source #
ActionResult Result Source # |
Methods getActionResult :: Result -> (String, ColorIntensity, Color) Source #